export declare enum AppLifeCycleEnum {
    AppEnter = "appEnter",
    AppLeave = "appLeave"
}
interface AppLifecycleProps {
    container: HTMLElement;
    customProps: object;
}
export declare function cacheApp(cacheKey: string): void;
export declare function deleteCache(cacheKey: string): void;
export declare function isCached(cacheKey: string): boolean;
export declare function callAppEnter(props?: AppLifecycleProps): void;
export declare function callAppLeave(props?: AppLifecycleProps): void;
export {};
