export declare enum CapturedEventNameEnum {
    POPSTATE = "popstate",
    HASHCHANGE = "hashchange"
}
export declare const routingEventsListeningTo: CapturedEventNameEnum[];
export declare function find(list: any, element: any): boolean;
export declare function createPopStateEvent(state: any, originalMethodName: any): any;
export declare function callCapturedEventListeners(): void;
export declare function setHistoryEvent(evt: PopStateEvent): void;
export declare function isInCapturedEventListeners(eventName: any, fn: any): boolean;
export declare function addCapturedEventListeners(eventName: any, fn: any): void;
export declare function removeCapturedEventListeners(eventName: any, listenerFn: any): void;
export declare function resetCapturedEventListeners(): void;
