"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
/**
 * Render Component, compatible with Component and <Component>
 */
function renderComponent(Component, props) {
    if (props === void 0) { props = {}; }
    return React.isValidElement(Component) ? (React.cloneElement(Component, props)) : (React.createElement(Component, __assign({}, props)));
}
exports.default = renderComponent;
//# sourceMappingURL=renderComponent.js.map